javax.servlet

## Class ServletContextAttributeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.servlet.ServletContextEvent
    - - javax.servlet.ServletContextAttributeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ServletContextAttributeEvent
      extends ServletContextEvent

  This is the event class for notifications about changes to the attributes of the servlet context of a web application.
  Since:
    v 2.3
  See Also:
    `ServletContextAttributeListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletContextAttributeEvent(ServletContext source, java.lang.String name, java.lang.Object value)` Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Return the name of the attribute that changed on the ServletContext.
    `java.lang.Object` | `getValue()` Returns the value of the attribute that has been added, removed, or replaced.

    - ### Methods inherited from class javax.servlet.ServletContextEvent

      `getServletContext`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletContextAttributeEvent

          public ServletContextAttributeEvent(ServletContext source,
                                      java.lang.String name,
                                      java.lang.Object value)

      Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.
      Parameters:
        `source` - The ServletContext associated with this attribute event
        `name` - The name of the servlet context attribute
        `value` - The value of the servlet context attribute

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Return the name of the attribute that changed on the ServletContext.
      Returns:
        The name of the attribute that changed

    - #### getValue

          public java.lang.Object getValue()

      Returns the value of the attribute that has been added, removed, or replaced.
      Returns:
        If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.